Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ant
Class JettyRunTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.mortbay.jetty.ant.JettyRunTask

    public class JettyRunTask

extends org.apache.tools.ant.Task

Ant task for running a Jetty server.

Author:
  Jakub Pawlowicz

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`JettyRunTask()`

Method Summary
`void` | `addConnectors(Connectors connectors)` Adds a new Ant's connector tag object if it have not been created yet.
`void` | `addSystemProperties(SystemProperties systemProperties)`
`void` | `addUserRealms(UserRealms realms)`
`void` | `addWebApp(WebApp webapp)` Creates a new `WebApp` Ant object.
`void` | `execute()` Executes this Ant task.
`java.io.File` | `getJettyXml()`
`java.lang.String` | `getRequestLog()`
`java.io.File` | `getTempDirectory()`
`void` | `setJettyXml(java.io.File jettyXml)`
`void` | `setRequestLog(java.lang.String className)`
`void` | `setTempDirectory(java.io.File tempDirectory)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyRunTask

    public JettyRunTask()

Method Detail

### addWebApp

    public void addWebApp(WebApp webapp)

  Creates a new `WebApp` Ant object.

### addConnectors

    public void addConnectors(Connectors connectors)

  Adds a new Ant's connector tag object if it have not been created yet.

### addUserRealms

    public void addUserRealms(UserRealms realms)

### addSystemProperties

    public void addSystemProperties(SystemProperties systemProperties)

### getTempDirectory

    public java.io.File getTempDirectory()

### setTempDirectory

    public void setTempDirectory(java.io.File tempDirectory)

### getJettyXml

    public java.io.File getJettyXml()

### setJettyXml

    public void setJettyXml(java.io.File jettyXml)

### setRequestLog

    public void setRequestLog(java.lang.String className)

### getRequestLog

    public java.lang.String getRequestLog()

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Executes this Ant task. The build flow is being stopped until Jetty server stops.

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.